#ifndef HVIF_LIGHT_H
#define HVIF_LIGHT_H

#include <stdbool.h>
#include <stdio.h>

typedef enum hvif_status
{
	SUCCESS = 0,
	ERROR_EOF,
	ERROR_NOMEM,
	ERROR_MAGIC,
	ERROR_STYLE,
	ERROR_PATH,
	ERROR_SHAPE
} hvif_status;

typedef struct hvif_image hvif_image;

typedef struct hvif_result hvif_result;
struct hvif_result
{
	hvif_status status;
	hvif_image* image;
};

hvif_result hvif_from_file(FILE* file);
void hvif_free(hvif_image* image);

#endif /* HVIF_LIGHT_H */
